Bug 436601 - After installing mathml-fonts firefox still complains about missing fonts
After installing mathml-fonts firefox still complains about missing fonts
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-08 03:08 EST by Alexey Torkhov
Modified: 2008-03-31 15:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-31 15:35:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 295193 None None None Never

  None (edit)
Description Alexey Torkhov 2008-03-08 03:08:23 EST
Description of problem:
I've installed mathml-fonts but firefox still show error message when visiting
page with mathml:
"To properly display the MathML on this page you need to install the following

Math1, Math2, Math4, Symbol..."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install mathml-fonts
2. Visit page with mathml
Actual results:
Error message appears.

Expected results:
No error message.

Additional info:
Comment 1 Rex Dieter 2008-03-08 08:00:22 EST
Old mozilla/firefox bug (see also bug #133709), where it insists on nonfree
fonts that we can't distibute.  The fonts as distributed in mathml-fonts are
(should be!) good enough to display any(most) mathml.
Comment 2 Nicolas Mailhot 2008-03-09 18:09:53 EDT
Additionnally we distribute stix which may be more complete than mathml-fonts
Comment 3 Christopher Aillon 2008-03-31 14:56:25 EDT
I believe this is fixed in rawhide (and F9 Beta)... would be good if someone
could confirm that.
Comment 4 Rex Dieter 2008-03-31 15:02:06 EDT
confirmed, no warnings here on rawhide (using firefox-3.0-0.50... )
Comment 5 Christopher Aillon 2008-03-31 15:35:12 EDT
The upstream patch to fix this was somewhat large and I'd like to avoid taking
non-security or stability fixes for Firefox 2 at this point, so I think this
should just be resolved NEXTRELEASE as we'll pick it up in Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.